Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Problem mit "emerge @preserved-rebuild"
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Sun Jan 26, 2014 12:46 pm    Post subject: [SOLVED] Problem mit "emerge @preserved-rebuild" Reply with quote

Hallo Zusammen,

Seit dem letzten world Update habe ich folgende Meldungen:

Code:
!!! existing preserved libs:
>>> package: dev-lang/tk-8.5.13-r1
 *  - /usr/lib64/libtk8.6.so
 *      used by /usr/lib64/python2.7/lib-dynload/_tkinter.so (dev-lang/python-2.7.5-r3)
 *      used by /usr/lib64/python3.2/lib-dynload/_tkinter.cpython-32.so (dev-lang/python-3.2.5-r3)
 *      used by /usr/lib64/python3.3/lib-dynload/_tkinter.cpython-33.so (dev-lang/python-3.3.3)
>>> package: dev-lang/tcl-8.5.13-r1
 *  - /usr/lib64/libtcl8.6.so
 *      used by /usr/lib64/python2.7/lib-dynload/_tkinter.so (dev-lang/python-2.7.5-r3)
 *      used by /usr/lib64/python3.2/lib-dynload/_tkinter.cpython-32.so (dev-lang/python-3.2.5-r3)
 *      used by /usr/lib64/python3.3/lib-dynload/_tkinter.cpython-33.so (dev-lang/python-3.3.3)
Use emerge @preserved-rebuild to rebuild packages using these libraries


Wenn ich nun "emerge @preserved-rebuild" ausführe, werden die o.g. 3 Python Versionen zwar fehlerfrei neu gebaut, leider aber kommt am Ende wieder genau die selbe Meldung: :(

Wie kann man das fixen?


Last edited by 3PO on Tue Jan 28, 2014 9:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2328
Location: Konradsreuth (Germany)

PostPosted: Tue Jan 28, 2014 8:06 pm    Post subject: Reply with quote

Hast du mal dev-lang/tk und dev-lang/tcl neu gebaut? Oder verschieb doch mal /usr/lib64/libtk8.6.so und /usr/lib64/libtcl8.6.so woanders hin (reicht ja, ein "~" hinten dran zu hängen) und bau dann mal die Pakete neu, die das nutzen … dann können die gar nicht mehr dagegen linken ;-)

Nur ein Schuss ins Blaue!
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Tue Jan 28, 2014 9:16 pm    Post subject: Reply with quote

l3u wrote:
Hast du mal dev-lang/tk und dev-lang/tcl neu gebaut? ...


Ja, habe ich - mehrfach sogar, aber leider ohne Erfolg.

Die Lösung ist:

Code:
rm /usr/lib64/libtk8.6.so /usr/lib64/libtcl8.6.so
emerge dev-lang/tk  dev-lang/tcl


Damit waren die Meldungen weg.

Danke für den Tipp! :wink:
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Jan 29, 2014 8:10 am    Post subject: Reply with quote

Weil diese Frage gerade auch im englischen Forum aktuell ist, kannst du mal ausprobieren, was das hier bringt:
Code:
grep tk8.6 $(find /usr/lib64 -name "*.la")
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Wed Jan 29, 2014 4:56 pm    Post subject: Reply with quote

franzf wrote:
[...] kannst du mal ausprobieren, was das hier bringt:
Code:
grep tk8.6 $(find /usr/lib64 -name "*.la")

Gibt nichts aus.

Code:
vdr01_64 ~ # grep tk8.6 $(find /usr/lib64 -name "*.la")
vdr01_64 ~ #
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum